PatternConverter (Apache Log4j 1.2.17 API)
Date: 2012-05-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.pattern
Class PatternConverter

    java.lang.Object
      org.apache.log4j.pattern.PatternConverter

Direct Known Subclasses:
  IntegerPatternConverter, LoggingEventPatternConverter

    public abstract class PatternConverter

extends Object

PatternConverter is an abstract class that provides the formatting functionality that derived classes need.

Conversion specifiers in a conversion patterns are parsed to individual PatternConverters. Each of which is responsible for converting an object in a converter specific manner.

Author:
  James P. Cakalic, Ceki Gülcü, Chris Nokes, Curt Arnold

Constructor Summary
`protected` | `PatternConverter(String name, String style)` Create a new pattern converter.

Method Summary
`abstract void` | `format(Object obj, StringBuffer toAppendTo)` Formats an object into a string buffer.
`String` | `getName()` This method returns the name of the conversion pattern.
`String` | `getStyleClass(Object e)` This method returns the CSS style class that should be applied to the LoggingEvent passed as parameter, which can be null.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PatternConverter

    protected PatternConverter(String name,
                               String style)

  Create a new pattern converter.

  Parameters:
    `name` - name for pattern converter.
    `style` - CSS style for formatted output.

Method Detail

### format

    public abstract void format(Object obj,
                                StringBuffer toAppendTo)

  Formats an object into a string buffer.

  Parameters:
    `obj` - event to format, may not be null.
    `toAppendTo` - string buffer to which the formatted event will be appended. May not be null.

### getName

    public final String getName()

  This method returns the name of the conversion pattern. The name can be useful to certain Layouts such as HTMLLayout.

  Returns:
    the name of the conversion pattern

### getStyleClass

    public String getStyleClass(Object e)

  This method returns the CSS style class that should be applied to the LoggingEvent passed as parameter, which can be null. This information is currently used only by HTMLLayout.

  Parameters:
    `e` - null values are accepted
  Returns:
    the name of the conversion pattern

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2012 Apache Software Foundation. All Rights Reserved.